include $(TOPDIR)/rules.mk

PKG_NAME:=libnemo-client
PKG_VERSION:=v0.4.2
SHORT_DESCRIPTION:=Library providing the client interface towards the NeMo plug-in

PKG_SOURCE:=libnemo-client-v0.4.2.tar.gz
PKG_SOURCE_URL:=https://gitlab.com/soft.at.home/nemo/libnemo-client/-/archive/v0.4.2
PKG_HASH:=29c042a9f1c2b5197690d8bcbbdd80087d627f775b63a60f88b31a5417e96e9f
PKG_BUILD_DIR:=$(BUILD_DIR)/libnemo-client-v0.4.2
PKG_MAINTAINER:=Soft At Home <support.opensource@softathome.com>
PKG_LICENSE:=BSD-2-Clause-Patent
PKG_LICENSE_FILES:=LICENSE


PKG_RELEASE:=1

include $(INCLUDE_DIR)/package.mk

define Package/$(PKG_NAME)
  CATEGORY:=SoftAtHome
  SUBMENU:=Netmodel
  TITLE:=$(SHORT_DESCRIPTION)
  URL:=https://gitlab.com/soft.at.home/nemo/libnemo-client
  DEPENDS += +libsahtrace
  DEPENDS += +libpcb
  MENU:=1
endef

define Package/$(PKG_NAME)/description
	Library providing the client interface towards the NeMo plug-in. It's a wrapper around the NeMo RPC's for ease of use
endef

define Build/Compile
	$(call Build/Compile/Default, STAGINGDIR=$(STAGING_DIR) CONFIGDIR=$(STAGING_DIR) PKG_CONFIG_PATH=$(STAGING_DIR)/usr/lib/pkgconfig LIBDIR=/usr/lib INSTALL_LIB_DIR=/lib INSTALL_BIN_DIR=/bin RAW_VERSION=$(PKG_VERSION) HARDCO_HAL_DIR=$(STAGING_DIR)/usr/include CONFIG_SAH_LIB_NEMO-CLIENT_AMX_COMP=$(CONFIG_SAH_LIB_NEMO-CLIENT_AMX_COMP))
endef

define Build/Install
	$(call Build/Install/Default, install INSTALL=install D=$(PKG_INSTALL_DIR) DEST=$(PKG_INSTALL_DIR) STAGINGDIR=$(STAGING_DIR) CONFIGDIR=$(STAGING_DIR) PV=$(PKG_VERSION) PKG_CONFIG_LIBDIR=$(STAGING_DIR)/usr/lib/pkgconfig LIBDIR=/usr/lib INSTALL_LIB_DIR=/lib INSTALL_BIN_DIR=/bin RAW_VERSION=$(PKG_VERSION) HARDCO_HAL_DIR=$(STAGING_DIR)/usr/include CONFIG_SAH_LIB_NEMO-CLIENT_AMX_COMP=$(CONFIG_SAH_LIB_NEMO-CLIENT_AMX_COMP))
endef

define Build/InstallDev
	$(call Build/Install/Default, install INSTALL=install D=$(STAGING_DIR) DEST=$(STAGING_DIR) STAGINGDIR=$(STAGING_DIR) CONFIGDIR=$(STAGING_DIR) PV=$(PKG_VERSION) PKG_CONFIG_LIBDIR=$(STAGING_DIR)/usr/lib/pkgconfig LIBDIR=/usr/lib INSTALL_LIB_DIR=/lib INSTALL_BIN_DIR=/bin RAW_VERSION=$(PKG_VERSION) HARDCO_HAL_DIR=$(STAGING_DIR)/usr/include CONFIG_SAH_LIB_NEMO-CLIENT_AMX_COMP=$(CONFIG_SAH_LIB_NEMO-CLIENT_AMX_COMP))
endef

define Package/$(PKG_NAME)/install
	$(CP) $(PKG_INSTALL_DIR)/* $(1)/
	if [ -d ./files ]; then \
		$(CP) ./files/* $(1)/; \
	fi
	find $(1) -name *.a -exec rm {} +;
	find $(1) -name *.h -exec rm {} +;
	find $(1) -name *.pc -exec rm {} +;
endef

define Package/$(PKG_NAME)/config
	source "$(SOURCE)/Config.in"
endef

$(eval $(call BuildPackage,$(PKG_NAME)))
